SoulFire LogoSoulFire

List registry entries

GET
/v1/registry/entries

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Query Parameters

kind?string

Value in

  • "REGISTRY_KIND_UNSPECIFIED"
  • "REGISTRY_KIND_BLOCK"
  • "REGISTRY_KIND_ITEM"
  • "REGISTRY_KIND_ENTITY_TYPE"
  • "REGISTRY_KIND_BIOME"
  • "REGISTRY_KIND_DIMENSION"
  • "REGISTRY_KIND_RECIPE"
  • "REGISTRY_KIND_ENCHANTMENT"
  • "REGISTRY_KIND_EFFECT"
  • "REGISTRY_KIND_ATTRIBUTE"
  • "REGISTRY_KIND_GAME_EVENT"
  • "REGISTRY_KIND_SOUND"
  • "REGISTRY_KIND_PARTICLE"
  • "REGISTRY_KIND_CONTAINER"
id_prefix?string
tags?array<string>
page_size?integer
Formatint64
Range0 <= value <= 4294967295
page_token?string
instance_id?|
Formatuuid
bot_id?|
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/registry/entries"
{  "entries": [    {      "kind": "REGISTRY_KIND_UNSPECIFIED",      "id": "string",      "numericId": 0,      "displayName": "string",      "properties": {},      "tags": [        "string"      ]    }  ],  "nextPageToken": "string",  "registryHash": "string"}

How is this page?